import React from "react";
import { ReactifySearchProviderProps } from "../components";
export declare class ReactifySearchLiquidFactory {
    providerProps: Omit<ReactifySearchProviderProps, "shopifyPermanentDomain"> & {
        shopifyPermanentDomain?: string;
        collectionHandle?: string;
    };
    constructor(providerProps: Omit<ReactifySearchProviderProps, "shopifyPermanentDomain"> & {
        shopifyPermanentDomain?: string;
        collectionHandle?: string;
    });
    getProvider(): React.FC<{
        children?: React.ReactNode | undefined;
    }>;
    getMountNode(): HTMLElement;
    getData(): any;
}
